#ifndef AREA_BUSINESS_CAR_ATTENDANCE_H
#define AREA_BUSINESS_CAR_ATTENDANCE_H

#include"area_business.h"

struct area_business_car_attendance:area_business
{
    area_business_car_attendance();

    int area_business_type()
    {
        return 6;
    }
    //记录进入时间等信息,结束考勤,根据离开的时间和距离，判断是否记录一条新的考勤记录
    void on_enter(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data>&ptr);
    void on_hover(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
    //记录离开考勤区域信息,开始考勤
    void on_leave(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
};


#endif // AREA_BUSINESS_CAR_ATTENDANCE_H


